package net.sf.sql2java.conversion;

import net.sf.sql2java.common.parameters.ParameterizedString;

/**
 *
 * @author dge2
 */
public class Keyword {
    private String name;
    private KeywordGroup group;

// -- Replace -----------------------------------------------------------------
    
    public String translate() {
        ParameterizedString ps = new ParameterizedString(group.getTransform());
        
        ps.addParameter("keyword", name);
        
        return ps.parse();
    }
    
// -- Getters -----------------------------------------------------------------
    
    public String getName() {
        return name;
    }
    
    public KeywordGroup getGroup() {
        return group;
    }
    
// -- Setters -----------------------------------------------------------------
    
    public void setName(String name) {
        this.name = name;
    }
    
    public void setGroup(KeywordGroup group) {
        this.group = group;
    }
}
