/*
 * ConfigurationReader.java
 * 
 * Created on Jun 20, 2007, 2:36:52 PM
 */

package net.sf.sql2java.common.configuration;

import java.io.InputStream;
import java.io.Reader;
import net.sf.sql2java.common.exceptions.ConfigurationReadException;

/**
 *
 * @param T 
 * @author dge2
 */
public interface ConfigurationReader<T> {
    public T read(InputStream input) throws ConfigurationReadException;
    
    public T read(Reader input) throws ConfigurationReadException;
}
