/*
 * PackageReference.java
 * 
 * Created on 15-aug-2007, 14:34:12
 * 
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.packages;


/**
 *
 * @author dge2
 */
public class PackageReference {
    private String name;
    private String resource;
    
    private TemplatePack pack;

// -- Package Loading ---------------------------------------------------------
    
    public void loadPackage() {
        // -- create the packageReader
        PackageReader packageReader;
        
        // -- instantiate the right packageReader depending on the extension
        if (resource.endsWith(".jar")) {
        	throw new RuntimeException("Jar template packs are not supported yet!");
            //packageReader = new JarPackageReader();
        } else {
            packageReader = new DirectoryPackageReader();
        }
        
        try {
            // -- read the package
            this.pack = packageReader.readPack(resource);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
    
// -- Getters -----------------------------------------------------------------
    
    public String getName() {
        return name;
    }
    
    public String getResource() {
        return resource;
    }
    
    public TemplatePack getPack() {
        return pack;
    }
    
// -- Setters -----------------------------------------------------------------
    
    public void setName(String name) {
        this.name = name;
    }
    
    public void setResource(String resource) {
        this.resource = resource;
        
        loadPackage();
    }
}
